Author Topic: Compiz 0.9 series package available  (Read 44887 times)

0 Members and 1 Guest are viewing this topic.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #105 on: 18. December 2014, 13:25:30 »
Yes it always pops back up after hitting apply, it's meant to so you can flick between different themes without having to reopen it each time, you just click close when you're done.

Are you saying that it is not working? That it is now applying the theme?
Please explain the issues concisely.
I chose one of installed Metacity themes and nothing happens (there still no gtk-window-decorator) and it asks me again to choose Metacity theme like I didn't already choose and clicked Apply button. It's not working as it should
« Last Edit: 18. December 2014, 13:28:00 by trzalica »

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #106 on: 18. December 2014, 13:31:14 »
So you're saying the GTK window decorator is not working.

Please open CCSM and goto the Window Decoration plugin, check it's enabled and confirm the "Command" is set to 'gtk-window-decorator'.

Please run compiz in a terminal:
Code: [Select]
compiz --replaceand see if there's any relevant messages.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #107 on: 18. December 2014, 13:32:10 »
Do you experience the same if you use the compiz-manjaro package from the repos?
(meaning the new 0.9.12 package in Unstable branch)
« Last Edit: 18. December 2014, 13:36:28 by Rob »

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #108 on: 18. December 2014, 13:37:53 »
So you're saying the GTK window decorator is not working.

Please open CCSM and goto the Window Decoration plugin, check it's enabled and confirm the "Command" is set to 'gtk-window-decorator'.

Please run compiz in a terminal:
Code: [Select]
compiz --replaceand see if there's any relevant messages.
I can't enter CCSM through Settings menu (like from screenshot) so I entered CCSM through terminal and yes, Window Decoration plugin is enabled and yes, "Command" is set to 'gtk-window-decorator'.
So I did as you say and start Compiz from terminal and this is result:
Code: [Select]
~ $ compiz --replace
compiz (core) - Info: Loading plugin: core
compiz (core) - Info: Starting plugin: core
compiz (core) - Info: Loading plugin: composite
compiz (core) - Info: Starting plugin: composite
compiz (core) - Info: Loading plugin: opengl
compiz (core) - Info: Starting plugin: opengl
Compiz (opengl) - Info: GLX_EXT_buffer_age is supported
compiz (core) - Info: Loading plugin: decor
compiz (core) - Info: Starting plugin: decor
compiz (core) - Info: Loading plugin: resize
compiz (core) - Info: Starting plugin: resize
compiz (core) - Info: Loading plugin: place
compiz (core) - Info: Starting plugin: place
compiz (core) - Info: Loading plugin: move
compiz (core) - Info: Starting plugin: move
compiz (core) - Info: Loading plugin: compiztoolbox
compiz (core) - Info: Starting plugin: compiztoolbox
compiz (core) - Info: Loading plugin: staticswitcher
compiz (core) - Info: Starting plugin: staticswitcher
compiz (core) - Info: Loading plugin: expo
compiz (core) - Info: Starting plugin: expo
compiz (core) - Info: Loading plugin: grid
compiz (core) - Info: Starting plugin: grid
compiz (core) - Info: Loading plugin: regex
compiz (core) - Info: Starting plugin: regex
compiz (core) - Info: Loading plugin: animation
compiz (core) - Info: Starting plugin: animation
compiz (core) - Info: Loading plugin: ccp
compiz (core) - Info: Starting plugin: ccp
compizconfig - Error: error occurred during scandir: No such file or directory
compizconfig - Info: Backend     : ini
compizconfig - Info: Integration : true
compizconfig - Info: Profile     : default
compiz (core) - Info: Stopping plugin: ccp
compiz (core) - Info: Stopping plugin: animation
compiz (core) - Info: Stopping plugin: regex
compiz (core) - Info: Stopping plugin: grid
compiz (core) - Info: Stopping plugin: expo
compiz (core) - Info: Stopping plugin: staticswitcher
compiz (core) - Info: Stopping plugin: compiztoolbox
compiz (core) - Info: Stopping plugin: move
compiz (core) - Info: Stopping plugin: place
compiz (core) - Info: Stopping plugin: resize
compiz (core) - Info: Stopping plugin: decor
compiz (core) - Info: Stopping plugin: opengl

(gtk-window-decorator:9781): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2:19: Theming engine 'adwaita' not found
compiz (core) - Info: Stopping plugin: composite
compiz (core) - Info: Starting plugin: ccp
compizconfig - Error: error occurred during scandir: No such file or directory
compizconfig - Info: Backend     : ini
compizconfig - Info: Integration : true
compizconfig - Info: Profile     : default
compiz (core) - Info: Starting plugin: composite
compiz (core) - Info: Starting plugin: opengl
Compiz (opengl) - Info: GLX_EXT_buffer_age is supported
compiz (core) - Info: Loading plugin: imgjpeg
compiz (core) - Info: Starting plugin: imgjpeg
compiz (core) - Info: Starting plugin: decor
compiz (core) - Info: Starting plugin: grid
compiz (core) - Info: Loading plugin: imgpng
compiz (core) - Info: Starting plugin: imgpng
compiz (core) - Info: Starting plugin: compiztoolbox
compiz (core) - Info: Starting plugin: resize
compiz (core) - Info: Starting plugin: regex
compiz (core) - Info: Loading plugin: wobbly
compiz (core) - Info: Starting plugin: wobbly
compiz (core) - Info: Starting plugin: move
compiz (core) - Info: Starting plugin: place
compiz (core) - Info: Loading plugin: imgsvg
compiz (core) - Info: Starting plugin: imgsvg
compiz (core) - Info: Loading plugin: shift
Window manager warning: Failed to load theme "Adwaita-X-dark": Failed to find a valid file for theme Adwaita-X-dark

compiz (core) - Info: Starting plugin: shift
compiz (core) - Error: Plugin 'text' not loaded.

compiz (shift) - Warn: No compatible text plugin loaded

(gtk-window-decorator:9781): Pango-CRITICAL **: pango_font_description_from_string: assertion 'str != NULL' failed

(gtk-window-decorator:9781): Pango-CRITICAL **: pango_font_description_get_size: assertion 'desc != NULL' failed

(gtk-window-decorator:9781): Pango-CRITICAL **: pango_font_description_set_size: assertion 'desc != NULL' failed

(gtk-window-decorator:9781): Gtk-CRITICAL **: gtk_style_context_get_property: assertion 'priv->widget != NULL || priv->widget_path != NULL' failed

(gtk-window-decorator:9781): GLib-GObject-WARNING **: gtype.c:4221: type id '0' is invalid

(gtk-window-decorator:9781): GLib-GObject-WARNING **: can't peek value table for type '<invalid>' which is not currently referenced
compiz (core) - Info: Loading plugin: mousepoll
compiz (core) - Info: Starting plugin: mousepoll
compiz (core) - Info: Starting plugin: staticswitcher
compiz (core) - Info: Starting plugin: animation
compiz (core) - Info: Loading plugin: mag
compiz (core) - Info: Starting plugin: mag
compiz (core) - Info: Starting plugin: expo

(gtk-window-decorator:9786): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2:19: Theming engine 'adwaita' not found
compiz (opengl) - Error: Timed out waiting for sync object.
Window manager warning: Failed to load theme "Adwaita-X-dark": Failed to find a valid file for theme Adwaita-X-dark


(gtk-window-decorator:9786): Pango-CRITICAL **: pango_font_description_from_string: assertion 'str != NULL' failed

(gtk-window-decorator:9786): Pango-CRITICAL **: pango_font_description_get_size: assertion 'desc != NULL' failed

(gtk-window-decorator:9786): Pango-CRITICAL **: pango_font_description_set_size: assertion 'desc != NULL' failed

(gtk-window-decorator:9786): Gtk-CRITICAL **: gtk_style_context_get_property: assertion 'priv->widget != NULL || priv->widget_path != NULL' failed

(gtk-window-decorator:9786): GLib-GObject-WARNING **: gtype.c:4221: type id '0' is invalid

(gtk-window-decorator:9786): GLib-GObject-WARNING **: can't peek value table for type '<invalid>' which is not currently referenced
compiz (decor) - Warn: No default decoration found, placement will not be correct
compiz (decor) - Warn: No default decoration found, placement will not be correct

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #109 on: 18. December 2014, 13:41:40 »
What happens if you select the plain "Adwaita" decoration? Doesn't work?

Also if you can swap to Unstable branch, update and try the binary package from there, would be great. :P

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #110 on: 18. December 2014, 13:42:52 »
Do you experience the same if you use the compiz-manjaro package from the repos?
(meaning the new 0.9.12 package in Unstable branch)
I haven't try that yet. I'll try that now and tell you the result (but I will install 0.9.12 from AUR)

Edit: 0.9.12 is building right now from AUR ;)
« Last Edit: 18. December 2014, 13:45:49 by trzalica »

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #111 on: 18. December 2014, 13:46:17 »
(but I will install 0.9.12 from AUR)

I kinda want you to use the binary package, not build it yourself. Your issue could somehow be related to your local build.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #112 on: 18. December 2014, 13:47:21 »
But how much dangerous is it to switch to unstable branch? And can I go back to stable?

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #113 on: 18. December 2014, 13:49:57 »
But how much dangerous is it to switch to unstable branch? And can I go back to stable?

You can goto Unstable, update, then switch back to Stable and you will just get some messages about having newer local packages for a while.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #114 on: 18. December 2014, 13:55:22 »
You can goto Unstable, update, then switch back to Stable and you will just get some messages about having newer local packages for a while.
I would like to try this package that I'm building right now and then if that doesn't work I will try the package from unstable branch. It would help me big time if you could stay here for about 15-20 minutes till I do this and I will tell you results right away.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #115 on: 18. December 2014, 13:56:21 »
I would like to try this package that I'm building right now and then if that doesn't work I will try the package from unstable branch. It would help me big time if you can stay here for about 15-20 minutes till I do this and I will tell you results right away.

No probs. Should be up for at least another hour. :)

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #116 on: 18. December 2014, 13:57:12 »
No probs. Should be up for at least another hour. :)
Ok then! :) Thanks!

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #117 on: 18. December 2014, 14:13:48 »
Again, same situation with Metacity theme and gtk window decorater... I will now go and try unstable package

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #118 on: 18. December 2014, 14:16:20 »
Again, same situation with Metacity theme and gtk window decorater... I will now go and try unstable package

Also, try opening the GWD theme selector, apply Adwaita as the decoration, then log out and back in.

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9 series package available
« Reply #119 on: 18. December 2014, 14:18:25 »
No, the nVidia employee who wrote it only did it for 0.9.
Great.

Where can I  request/propose a fix for 0.8?

J.
Hitten by the door in the back when I left Manjaro.